#include <stdio.h>
#include <string.h>
#include <cxlmou.h>

#define BUFSIZE 100

void main(void);
int read_autoexec(void);

void main(void)
{
    int cnt;

    msinit();
    cnt = read_autoexec();
    printf("Environment space required = %d\n",cnt);
    if (cnt > 160) {
       printf("That's %d bytes over the limit\n",cnt-160);
       printf("Recommend the following be placed into your CONFIG.SYS file.\n");
       printf("SHELL=COMMAND.COM E:/%d /P\n", (cnt/16)*16+16);
    }
    else
       printf("Your environment is just fine.");
}

int read_autoexec()
{
    FILE *fp;
    char string[BUFSIZE];
    int char_cnt = 0;

	fp = fopen("autoexec.bat", "r");
	if (fp != NULL) {
        while(fgets(string, BUFSIZE, fp) != NULL) {
            if ((tolower(string[0]) != 'r') &&           /* skip rem */
               ((strstr(strlwr(string), "path")) ||
                (strstr(strlwr(string), "set ")) ||
                (strstr(strlwr(string), "prompt")))) {
                   char_cnt += strlen(string);
                   puts(string);
            }
		}
    }
    else
		printf("Could not find AUTOEXEC.BAT\n");

	return char_cnt;
}
